Skip to main content
POST
Test Subscription

Authorizations

api_key
string
header
required

Your Lusha API key. You can find this in your Lusha dashboard under API settings. Include this key in the api_key header for all requests.

Path Parameters

id
string
required

Subscription ID

Query Parameters

mode
enum<string>
default:full

Test mode

Available options:
direct,
kafka,
full

Response

Test executed successfully

subscriptionId
string
required
Example:

"507f1f77bcf86cd799439011"

url
string<uri>
required
Example:

"https://example.com/webhook"

mode
enum<string>
required
Available options:
direct,
kafka,
full
Example:

"full"

isSuccess
boolean
required
Example:

true

timestamp
string<date-time>
required
Example:

"2024-01-01T00:00:00.000Z"

subscriptionName
string
Example:

"My Test Webhook"

flowCheck
object
testPayload
object